Retrieves config by init id
GEThttps://apis.<domain>/iot/edge/init/:initId
Retrieves a configuration with given init ID and init key.
Request
Path Parameters
initId stringrequired
Unique Config identifier provided by init entity.
Responses
- 200
- 400
- 401
- 404
- 500
Data retrieved.
- application/json
- Schema
- Example (auto)
Schema
connhex_idstring<uuid>required
Corresponding Connhex Thing ID.
connhex_keystring<uuid>required
Corresponding Connhex Thing key.
connhex_channels object[]required
contentstringrequired
Free-form custom configuration.
client_certstring
Client certificate.
client_keystring
Key for the client_cert.
ca_certstring
Issuing CA certificate.
{
"connhex_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connhex_key": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connhex_channels": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"metadata": {}
}
],
"content": "string",
"client_cert": "string",
"client_key": "string",
"ca_cert": "string"
}
Bad request.
Unauthorized.
Config not found.
Unexpected server error.
Authorization: Thing
name: Thingtype: httpscheme: basicin: headerdescription: Authorization Header: `Authorization: Thing <init_key>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iot/edge/init/:initId");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("Authorization", "Basic PFRoaW5nPjo8VGhpbmc+");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());